> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get EndUser emails

> Get all emails for all end users associate with this user



## OpenAPI

````yaml https://app.herondata.io/swagger get /api/end_user_emails
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_user_emails:
    get:
      tags:
        - EndUsers
      summary: Get EndUser emails
      description: Get all emails for all end users associate with this user
      parameters:
        - in: query
          name: page
          required: true
          schema:
            minimum: 0
            type: integer
        - in: query
          name: limit
          required: true
          schema:
            minimum: 1
            type: integer
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  _meta:
                    properties:
                      count:
                        type: number
                      has_more:
                        type: boolean
                      page:
                        type: number
                      total_pages:
                        type: number
                    type: object
                  emails:
                    items:
                      properties:
                        email:
                          $ref: '#/components/schemas/EndUserEmailSchema'
                        end_user_heron_id:
                          type: string
                      type: object
                    type: array
                type: object
          description: OK
      security:
        - ApiKeyAuth: []
components:
  schemas:
    EndUserEmailSchema:
      properties:
        cc_addresses:
          items:
            type: string
          type: array
        created:
          format: date-time
          type: string
        date_sent:
          format: date-time
          type: string
        date_sent_string:
          type: string
        from_address:
          type: string
        from_address_domain:
          type: string
        from_name:
          type: string
        heron_id:
          type: string
        html_body:
          type: string
        html_or_text_body:
          type: string
        is_reply:
          type: boolean
        processing_status:
          enum:
            - new
            - processing
            - processed
            - failed
          type: string
        reply_to:
          nullable: true
          type: string
        subject:
          type: string
        subject_cleaned:
          type: string
        text_body:
          type: string
        to_addresses:
          items:
            type: string
          type: array
        viewer_url:
          description: a temporary, secure URL for viewing the email contents
          type: string
      type: object
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````